# Uses of Interface
java.security.KeyStore.Entry.Attribute

Packages that use KeyStore.Entry.Attribute
Package
Description
java.security
Provides the classes and interfaces for the security framework.

## Uses of KeyStore.Entry.Attribute in java.security

Classes in java.security that implement KeyStore.Entry.Attribute
Modifier and Type
Class
Description
`class`
`PKCS12Attribute`
An attribute associated with a PKCS12 keystore entry.
Methods in java.security that return types with arguments of type KeyStore.Entry.Attribute
Modifier and Type
Method
Description
`default Set<KeyStore.Entry.Attribute>`
KeyStore.Entry.`getAttributes()`
Retrieves the attributes associated with an entry.
`Set<KeyStore.Entry.Attribute>`
KeyStore.PrivateKeyEntry.`getAttributes()`
Retrieves the attributes associated with an entry.
`Set<KeyStore.Entry.Attribute>`
KeyStore.SecretKeyEntry.`getAttributes()`
Retrieves the attributes associated with an entry.
`Set<KeyStore.Entry.Attribute>`
KeyStore.TrustedCertificateEntry.`getAttributes()`
Retrieves the attributes associated with an entry.
Constructor parameters in java.security with type arguments of type KeyStore.Entry.Attribute
Modifier
Constructor
Description
``
`PrivateKeyEntry​(PrivateKey privateKey, Certificate[] chain, Set<KeyStore.Entry.Attribute> attributes)`
Constructs a `PrivateKeyEntry` with a `PrivateKey` and corresponding certificate chain and associated entry attributes.
``
`SecretKeyEntry​(SecretKey secretKey, Set<KeyStore.Entry.Attribute> attributes)`
Constructs a `SecretKeyEntry` with a `SecretKey` and associated entry attributes.
``
`TrustedCertificateEntry​(Certificate trustedCert, Set<KeyStore.Entry.Attribute> attributes)`
Constructs a `TrustedCertificateEntry` with a trusted `Certificate` and associated entry attributes.